Subject: bug#23902: 25.1.50; Strange warning on string-collate-equalp's docstring

From: Eli Zaretskii <[email-masked]>
Date: Wed, 06 Jul 2016 19:26:28 +0300

> From: [email-masked] (Óscar Fuentes)
> Cc: Michael Heerdegen <[email-masked]>,  [email-masked]
> Date: Wed, 06 Jul 2016 17:46:39 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> I also have trouble to understand.  How can I compare file names modulo
> >> collate-equality, if not with this function?
> >
> > With string=, of course.  (Or, better yet, with file-equal-p, but
> > that's a different story.)
> 
> I understand why comparing file names with string-collate-equalp is a
> bad idea (it can return t for cases where the names are different from
> the POV of the file system) but then explaining this in full and
> pointing to file-equal-p doesn't take too much space (about the same as
> the current note, I'll say).

If you think adding that will make the issue more clear, go ahead and
propose or push a patch.

> (using string= for comparing file names is a bad idea for the same
> reason idea when the FS is case-insensitive, BTW)

Which is why I mentioned file-equal-p.

> Putting notes about non-existing issues is surely confusing, isn't it?

Indeed.  But this issue does exist, and is real.  See, for example:

  http://archives.miloush.net/michkap/archive/2005/10/17/481600.html

(CompareString is what we use on MS-Windows to implement
string-collate-equalp and string-collate-lessp.)